Get a routing plan (v2)

post

/api/field-service/routing/v2/routingProfiles/{profileLabel}/plans/{planLabel}/custom-actions/export

This operation exports the specified routing plan for the specified routing profile in JSON format.

Request

Path Parameters
Query Parameters
  • Contains one of the following values: true or false. If true, then the payload is returned as an attachment.
Back to Top

Response

Supported Media Types

200 Response

This section describes the 200 status response for this operation.
Body ()
Root Schema : routingPlanPayload
Type: object
Show Source
Nested Schema : scheduling_plan
Type: object
Contains a full list of configured routing plans.
Show Source
Nested Schema : activity_groups
Type: array
Defines groups of activities to be distributed during a routing run.
Show Source
Nested Schema : reoptimization_filters
Type: array
Defines reoptimization filters for routing plans.
Show Source
Nested Schema : resource_overtime
Maximum allowed overtime for all field resources within the scheduling plan. Use a value from -9999 to 9999. The special value 65535 means: do not assign "overtime" activities and leave them in the bucket.
Match One
Show Source
  • Minimum Value: -9999
    Maximum Value: 9999
  • Allowed Values: [ 65535 ]
Nested Schema : weekdays
Type: object
Days of the week when the scheduling plan is allowed to run.
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : provider_groups
Type: array
Defines groups of resources to be used as destination during a routing run.
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : items
Type: object
Show Source
  • Allowed Values: [ "bucket_non_scheduled", "bucket_routing_date", "same_resource_non_scheduled", "same_resource_scheduled", "prevent_optmization" ]
    Route destination for activities unassigned by reoptimization.
  • Activity filter label used by the reoptimization rule.
  • Order of application of the reoptimization activity filter.

Default Response

This section describes the default error response for this operation.
Body ()
Root Schema : Error
Type: object
Show Source
Back to Top